Cids the provided Subject, and saves it in the blob store.
POST
/gov/v1/cid/subject
const url = 'https://example.com/gov/v1/cid/subject';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"description":"example","extra":"{\"date\":\"02/23/2025\", \"department\": \"R&D\"}","id":"938a76ed-2441-45d9-921b-397ce26c8364","name":"example","organizationDescription":"example","organizationId":"example","organizationName":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/gov/v1/cid/subject \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "extra": "{\"date\":\"02/23/2025\", \"department\": \"R&D\"}", "id": "938a76ed-2441-45d9-921b-397ce26c8364", "name": "example", "organizationDescription": "example", "organizationId": "example", "organizationName": "example" }'Cids the provided Subject, and saves it in the blob store. Returns the CID.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
description
string
extra
object
key
additional properties
Example
{"date":"02/23/2025", "department": "R&D"} id
required
string
Example
938a76ed-2441-45d9-921b-397ce26c8364 name
string
organizationDescription
string
organizationId
string
organizationName
string
Responses
Section titled “ Responses ”The JCS CID of the Subject.
Media type text/plain
string